/*
 * htmlio.h : HTML Ń}[NAbvďo
 * Copyright (C) 1998 Suzuki Mitsuhiro All rights reserved.
 */

/* HTML  */
#define  HTML_DTD 	"<!doctype html public \"-//W3C//DTD HTML 3.2 Final//EN\">"
#define  HTML_TYPE 	"<meta http-equiv=\"CONTENT-TYPE\" content=\"text/html;CHARSET=EUC-JP\">"
#define HTML_REFRESH  "<meta http-equiv=\"Refresh\" content=\"%d; URL=%s\">"

#define HEADER_NUM 10

/* wb_[\ */
typedef struct {
	char *pName, *pValue;
} HEADER;

void StartHtml       ARGS((CONST char* szTitle, CONST char *szURL, int iSec));
void EndHtml         ARGS((void));
void KekkaHtml       ARGS((CONST char *Kekka));
void ErrorHtml       ARGS((CONST char *Face, CONST char *Error));
void OnegaiHtml      ARGS((CONST char *Face, CONST char *Title, CONST char *Message));
void KuhakuUmeteHtml ARGS((CONST char *Face, CONST char *Field));
BOOL SaveHeaders     ARGS((FILE *fp, HEADER *pHeaders, int iNum));
BOOL PrintArticle    ARGS((int iCount, FILE *fout, FILE *fp));
void PrintForm       ARGS((CONST char *action,
						  int iCount, int iPrev,
						  FILE *fout));
void ReadRefFile     ARGS((char **ppName, char **ppSubject,
						  char **ppRef, char **ppContents,
						  int iRef, FILE *fref));
