/*
 * nkf.h : nkf Ců֐錾
 */

#ifdef __STDC__
#ifndef ARGS
#define ARGS(x)    x
#endif
#ifndef CONST
#define CONST const
#endif
#ifndef VOID
#define VOID void
#endif
#else
#define ARGS(x)   ()
#define CONST
#define VOID
#endif

#ifndef TRUE
#define TRUE (1==1)
#endif
#ifndef FALSE
#define FALSE (!FALSE)
#endif

#define NKF_JIS 1
#define NKF_EUC 2
#define NKF_SJIS 3

int nkfAssumeInputCode    ARGS((int code));
int nkfAssumeHankakuKana  ARGS((int b));
int nkfAssumeJISX0201Kana ARGS((int b));

int nkfSetOutputCode      ARGS((int code));
int nkfSetDelCR           ARGS((VOID));
int nkfSetAddCR           ARGS((VOID));
int nkfSetTextMode        ARGS((int b));
int nkfSetBufferMode      ARGS((int b));
int nkfToFile             ARGS((FILE *fp_in, FILE *fp_out));
int nkfToMem              ARGS((FILE *fp_in, char *str, int size));
